# CVS snapshot date: 20050623

%define beta b3

Name: xml-commons
Version: 1.0
Release: alt0.3.%beta

Summary: Common code for XML projects
Group: Development/Java
License: Apache Software License
URL: http://xml.apache.org/commons/

%def_enable ant_build

Source0: %name-%version.%beta.tar.bz2
Source1: %name-which.sh.in
Patch0: %name.build.patch

BuildArch: noarch

BuildPreReq: rpm-build-java
%if_enabled ant_build
BuildRequires: /proc
BuildRequires: ant j2se-devel
%endif

%description
xml-commons is focused on common code and guidelines for xml projects.
Its first focus will be to organize and have common packaging for the
various externally-defined standards code relating to XML - things like
the DOM, SAX, and JAXP interfaces.

%package apis
Summary: APIs subproject of %name
Group: Development/Java
License: W3C Software Notice and License, Public Domain
Requires: %name = %version-%release

%description apis
APIs subproject of %name.

%package which
Summary: Which subproject of %name
Group: Development/Java
Requires: %name = %version-%release
Requires: java-common >= 1.3

%description which
Which subproject of %name - a simple environment check utility
for xml-related items in your Java environment.

%package apis-manual
Summary: Manual for %name-apis
Group: Development/Java
License: W3C Document Notice and License, Public Domain

%description apis-manual
Manual for the external APIs provided by the %name project.

%package apis-javadoc
Summary: Javadoc for %name-apis
Group: Development/Java
License: W3C Document Notice and License, Public Domain
AutoReqProv: no

%description apis-javadoc
Javadoc-generated documentation for the external APIs
provided by the %name project.

%package which-javadoc
Summary: Javadoc for %name-which
Group: Development/Java
Obsoletes: xml-commons-javadoc
AutoReqProv: no

%description which-javadoc
Javadoc generated API documentation for xml-commons,
documenting org.apache.env.Which class.

%prep
%setup -q -n %name-%version.%beta

%if_enabled ant_build
%patch0 -p0
# remove all binary libs and prebuilt javadocs
#find . -name '*.jar' -o -name '*.gz' -print0 | xargs -r0 rm -f
%endif

%if_enabled ant_build
%build
ant jars
%endif

%install
install -d -m 755 $RPM_BUILD_ROOT%_javadir
install -p -m 644 java/external/build/xml-apis.jar $RPM_BUILD_ROOT%_javadir/%name-apis.jar
install -p -m 644 java/build/which.jar $RPM_BUILD_ROOT%_javadir/%name-which.jar
install -d -m 755 $RPM_BUILD_ROOT%_bindir
install -p -m 755 %SOURCE1 $RPM_BUILD_ROOT%_bindir/xml-which
%__subst -p 's,@SCRIPTDIR@,%_datadir/java-common,g; s,@JAVADIR@,%_javadir,g' \
    $RPM_BUILD_ROOT%_bindir/xml-which

install -d -m 755 $RPM_BUILD_ROOT%_javadocdir/%name-which
cp -a java/build/apidocs/which/* $RPM_BUILD_ROOT%_javadocdir/%name-which
install -d -m 755 $RPM_BUILD_ROOT%_javadocdir/%name-apis
cp -a java/external/build/docs/javadoc/* $RPM_BUILD_ROOT%_javadocdir/%name-apis

install -d -m 755 $RPM_BUILD_ROOT%_docdir/%name-apis-%version
cp -a java/external/build/docs/dom \
    $RPM_BUILD_ROOT%_docdir/%name-apis-%version
#cp -a java/external/build/docs/sax \
#    $RPM_BUILD_ROOT%_docdir/%name-apis-%version
install -p -m 644 java/external/*.txt \
    $RPM_BUILD_ROOT%_docdir/%name-apis-%version
install -p -m 644 java/external/*-sax \
    $RPM_BUILD_ROOT%_docdir/%name-apis-%version
install -p -m 644 java/external/NOTICE \
    $RPM_BUILD_ROOT%_docdir/%name-apis-%version
%__ln_s %_licensedir/Apache-2.0 \
    $RPM_BUILD_ROOT%_docdir/%name-apis-%version/LICENSE

%files
%doc README.html LICENSE.txt

%files apis
%dir %_docdir/%name-apis-%version
%_docdir/%name-apis-%version/README.*.txt
%_docdir/%name-apis-%version/*-sax
%_docdir/%name-apis-%version/LICENSE
%_docdir/%name-apis-%version/LICENSE.dom-software.txt
%_docdir/%name-apis-%version/LICENSE.sax.txt
%_docdir/%name-apis-%version/NOTICE
%_javadir/%name-apis.jar

%files which
%_javadir/%name-which.jar
%_bindir/xml-which

%files apis-manual
%dir %_docdir/%name-apis-%version
%_docdir/%name-apis-%version/LICENSE.dom-documentation.txt
%_docdir/%name-apis-%version/dom
#_docdir/%name-apis-%version/sax

%files apis-javadoc
%doc %_javadocdir/%name-apis

%files which-javadoc
%doc %_javadocdir/%name-which

%changelog
* Thu Jun 30 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.0-alt0.3.b3
- Packaged a CVS snapshot of Beta 3 which adds JAXP 1.3 APIs
- Updated Patch0

* Sat Jun 18 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.0-alt0.2.b2
- Use rpm-build-java macros
- Parameterized path substitutions in the which script
- Adapted to the new java-common location [bug #7017]

* Wed Sep 11 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.0-alt0.1.b2
- adaptations for ALT Linux
- ant build is made optional
- non-api javadoc is in fact common for which and resolver, made it
  common package
- more human-friendly descriptions and summaries here and there
- Included licenses for W3C stuff and added License tags accordingly

* Thu Jul 11 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-0.b2.1jpp
- 1.0.b2
- get tarball from xml.apache.org
- add macro section

* Fri Jan 18 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-0.b1.1jpp
- first jpp release
